- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Public Attributes | Protected Types | Protected Member Functions

# FbxProcessorShaderDependency Class Reference

Search for all occurrences

## Detailed Description

Crawls CgFx and HLSL shader files, copies them, and all dependent shader files into the location specified by RootProcessPath.

Definition at line 30 of file fbxprocessorshaderdependency.h.

`#include <fbxprocessorshaderdependency.h>`

Inheritance diagram for FbxProcessorShaderDependency:
[legend]

List of all members.

## Classes
struct | Dependency
class | FileDeleter
struct | FilePathData
class | StringHash
## Public Member Functions
void | ClearProcessedFiles ()
## Public Attributes
FbxPropertyT< FbxString > | RootProcessPath
FbxPropertyT< FbxBool > | CleanupOnDestroy
FbxPropertyT< FbxString > | AdditionalIncludePaths
## Protected Types
typedef FbxDynamicArray < FilePathData > | FilePathList
## Protected Member Functions
| FbxProcessorShaderDependency (FbxManager &pManager, char const *pName)
bool | ConstructProperties (bool pForceSet)
void | Destruct (bool pRecursive, bool pDependents)
virtual bool | GetIncludePaths (FbxString &pFile, FilePathList &pPaths, FbxXRefManager &pManager) const
virtual bool | ReplaceUrls (const FbxString &pFileUrl, const FbxString &pNewFileUrl, const FilePathList &pPaths) const
Overridable internal function
virtual bool | internal_ProcessObject (FbxObject *pObject)

## Member Typedef Documentation

typedef FbxDynamicArray< FilePathData > FilePathList `[protected]`

Search for all occurrences

Definition at line 121 of file fbxprocessorshaderdependency.h.

## Constructor & Destructor Documentation

FbxProcessorShaderDependency | ( | FbxManager & | pManager,
|  | char const * | pName
| ) |  | `[protected]`

## Member Function Documentation

void ClearProcessedFiles | ( |  | ) |

Search for all occurrences

virtual bool internal_ProcessObject | ( | FbxObject * | pObject | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from FbxProcessor.

bool ConstructProperties | ( | bool | pForceSet | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from FbxObject.

void Destruct | ( | bool | pRecursive,
|  | bool | pDependents
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from FbxObject.

virtual bool GetIncludePaths | ( | FbxString & | pFile,
|  | FilePathList & | pPaths,
|  | FbxXRefManager & | pManager
| ) |  | const `[protected, virtual]`

Search for all occurrences

virtual bool ReplaceUrls | ( | const FbxString & | pFileUrl,
|  | const FbxString & | pNewFileUrl,
|  | const FilePathList & | pPaths
| ) |  | const `[protected, virtual]`

Search for all occurrences

## Member Data Documentation

FbxPropertyT<FbxString> RootProcessPath

Search for all occurrences

Definition at line 36 of file fbxprocessorshaderdependency.h.

FbxPropertyT<FbxBool> CleanupOnDestroy

Search for all occurrences

Definition at line 38 of file fbxprocessorshaderdependency.h.

FbxPropertyT<FbxString> AdditionalIncludePaths

Search for all occurrences

Definition at line 40 of file fbxprocessorshaderdependency.h.

The documentation for this class was generated from the following file:

- fbxsdk/utils/fbxprocessorshaderdependency.h

FbxProcessorShaderDependency FbxProcessorShaderDependency FbxProcessorShaderDependency FbxProcessorShaderDependency FbxProcessorShaderDependency FbxProcessorShaderDependency FbxProcessorShaderDependency FbxProcessorShaderDependency FbxProcessorShaderDependency FbxProcessorShaderDependency
FbxProcessorShaderDependency FbxProcessorShaderDependency FbxProcessorShaderDependency FbxProcessorShaderDependency FbxProcessorShaderDependency FbxProcessorShaderDependency FbxProcessorShaderDependency FbxProcessorShaderDependency FbxProcessorShaderDependency FbxProcessorShaderDependency